%define name  	 jailkit
%define version	 2.10
%define release  1

%define source	 %{name}-%{version}
Summary: Utilities to limit user accounts to specific files using chroot()
Name:    %{name}
Version: %{version}
Release: %{release}%{?dist}
License: LGPL
Group: System Environment/Base
URL: http://olivier.sessink.nl/jailkit/

Source: http://olivier.sessink.nl/jailkit/%{source}.tar.gz
Source1: jailkit
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: python
Requires(post): /sbin/chkconfig
Requires(post): /sbin/service
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(postun): /sbin/service

%description
Jailkit is a set of utilities to limit user accounts to specific files
using chroot() and or specific commands. Setting up a chroot shell,
a shell limited to some specific command, or a daemon inside a chroot
jail is a lot easier using these utilities.

Jailkit has been in use for a while on CVS servers (in a chroot and
limited to cvs), sftp/scp servers (both in a chroot and limited to
sftp/scp as well as not in a chroot but only limited to sftp/scp),
and also on general servers with accounts where the shell accounts
are in a chroot.

%prep
%setup -q -n %{source}

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%{__install} -Dp -m0755 %{SOURCE1} %{buildroot}%{_initrddir}/%{name}


%clean
%{__rm} -rf %{buildroot}

%post -n jailkit
/sbin/chkconfig --add jailkit
/sbin/chkconfig jailkit off

%preun -n jailkit
if [ $1 == 0 ]; then
  /sbin/service jailkit stop >/dev/null 2>&1
  /sbin/chkconfig --del jailkit
fi

%postun
if [ "$1" -ge "1" ]; then
  /sbin/service jailkit condrestart >/dev/null 2>&1
fi

%files
%defattr(-, root, root)
%doc COPYRIGHT README.txt
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/%{name}/
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/
%{_mandir}/man8/*

%changelog
* Sat Nov 14 2009 Matthias Haase <matthias_haase@bennewitz.com> - 2.10-1                               
- Update to release 2.10                                                                               
- Rebuild for Fedora 12
 
* Sat Jun 13 2009 Matthias Haase <matthias_haase@bennewitz.com> - 2.7-2
- Update to release 2.7
- Rebuild for Fedora 11

* Fri Nov 28 2008 Matthias Haase <matthias_haase@bennewitz.com> - 2.5-4
- Rebuild for Fedora 10

* Wed May 28 2008 Matthias Haase <matthias_haase@bennewitz.com> - 2.5-3
- Rebuild for Fedora 9

* Sat Dec 22 2007 Matthias Haase <matthias_haase@bennewitz.com> - 2.5-2
- external start/stop script for Fedora used

* Fri Dec 21 2007 Matthias Haase <matthias_haase@bennewitz.com> - 2.5-1
- Update to release 2.5
- service trigger added

* Tue Sep 12 2006 Dag Wieers  - 2.1-1
- Updated to release 2.1.

* Sun Mar 19 2006 Dag Wieers  - 2.0-1
- Updated to release 2.0.

* Fri May 20 2005 Dag Wieers  - 1.3-1
- Initial package. (using DAR)
